default justicepoints = 0
default jokershot = 0


##     14

default jokerscared = False


init:
    define config.layers = [ 'master', 'transient', 'screens', 'overlay', 'ontop' ]


image raining: 
    "images/darknight/rain1.png"
    pause 0.1
    "images/darknight/rain2.png"
    pause 0.1
    "images/darknight/rain3.png"
    pause 0.1
    repeat

image justicepoints: 
    "images/justicepoint/justice1.png"
    pause 0.1
    "images/justicepoint/justice2.png"
    pause 0.1
    repeat

label justicepointsup: 
    show justicepoints 
    $ justicepoints += 1
    play sound justice
    pause 0.3
    hide justicepoints with dissolve
    return


label barbscene: 
    camera: 
        perspective True
    show batcave at background
    show backframe at frames
    show barbscenex at scenes
    show frontframe at frames
    with dissolve 
    return 

label koriscene: 
    camera: 
        perspective True
    show apt at background
    show backframe at frames
    show koriscenex at scenes
    show frontframe at frames
    with dissolve 
    return 

label harlscene: 
    camera: 
        perspective True
    show warehouse at background
    show backframe at frames
    show harlscenex at scenes2
    show frontframe at frames
    with dissolve 
    return 

label threesomescene: 
    camera: 
        perspective True 

    scene street: 
        zoom 200 
    show backframe at frames 
    show dickfull at scenes:
        xzoom -1
        xpos 800
    show threesome at scenes3
    show frontframe at frames 
    with dissolve 
    return 

    


transform background: 
    zpos 400
    ease 1.5 zpos 300

transform frames: 
    zpos 100
    ease 1.5 zpos 0

transform scenes: 
    zpos -300 ypos 200
    ease 1.6 zpos 0 ypos 0

transform scenes2: 
    zpos -300 ypos -200
    ease 1.6 zpos 0 ypos 0

transform scenes3: 
    zpos -200 ypos 100
    ease 1.6 zpos 0 ypos 0

transform deadjoker: 
    ypos 2100

transform pullgun: 
    ypos 400
    ease 0.4 ypos 0
    
transform jokes: 
    xpos 100

transform harlend: 
    xpos 400


image go: 
    "readystuff/goimg.png"
    pause 0.1
    "readystuff/goimg2.png"
    pause 0.1
    repeat





label gamestart:
show click
with dissolve
pause 0.4
show ready with dissolve 
pause 0.4
show go with dissolve
pause 0.4
hide ready
hide click
hide go
call screen button_smash


default downer = 0
screen QTEdown(rangeD, missed_event):
    on "show" action SetVariable("downer", rangeD)
    frame:
        xalign 0.5
        yalign 0.0
        hbox:
            timer 0.1 action If(0 < downer, true = SetVariable("downer", downer - 0.1), false = [Hide("timerDown"), Jump(missed_event)]) repeat True

            bar:
                value AnimatedValue(value=downer, range=rangeD, delay= 0.5)
                xalign 0.0
                yalign 0.0
                xmaximum 200


screen button_smash:
   
    text "JUSTICE  POINTS: [justicepoints]" size 120 xalign 0.5 yalign 0.1
    use QTEdown (5, "outoftime")

    if justicepoints != 0:
        imagebutton:
            xalign 0.5 yalign 0.5
            idle "readystuff/nothing.png"
            hover "readystuff/nothing.png"
            action (SetVariable("justicepoints", justicepoints - 1), SetVariable("jokershot", jokershot + 1),Play(2, "audio/sounds/gun.wav"))
    elif justicepoints == 0:
        imagebutton:
            xalign 0.5 yalign 0.5
            idle "readystuff/nothing.png"
            hover "readystuff/nothing.png"
            action (Play(2, "audio/sounds/click.wav"))




label outoftime:
    

    return


layeredimage joker: 
    if jokershot <= 12: 
        "joker3" 
    if jokershot <= 15: 
        "joker1"
    if jokershot <= 14: 
        "joker2" 
    
    if jokershot <= 9: 
        "joker7" 
    if jokershot <= 7:
        "joker4"
    if jokershot <= 5:
        "joker6" 
    if jokershot <= 4:
        "joker8"
    if jokershot <= 3:
        "joker5"

    if jokershot >= 1 and jokershot <= 14:
        "bullet1"
    if jokershot >= 2 and jokershot <= 14:
        "bullet2"
    if jokershot >= 3 and jokershot <= 9:
        "bullet7"
    if jokershot >= 7 and jokershot <= 14:
        "bullet4"
    if jokershot >= 9:
        "bullet5"
    if jokershot >= 11:
        "bullet6" 
    if jokershot >= 12 and jokershot <= 14: 
        "bullet3" 
    if jokershot >= 14: 
        "bullet8"
    
    

    if jokershot >= 1 and jokershot <= 9:
        "joker_face_dead"
    elif jokerscared == True and jokershot <= 9: 
        "joker_face_nervous" 
    elif jokerscared == False and jokershot <= 9: 
        "joker_face"
